Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class MetaTag

    java.lang.Object
      org.htmlparser.AbstractNode
          org.htmlparser.lexer.nodes.TagNode
              org.htmlparser.tags.Tag
                  org.htmlparser.tags.MetaTag

All Implemented Interfaces:
  Cloneable, Node, Serializable

public class MetaTag
extends Tag

A Meta Tag

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.Tag
`mDefaultScanner`

Fields inherited from class org.htmlparser.lexer.nodes.TagNode
`breakTags, mAttributes`

Fields inherited from class org.htmlparser.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`MetaTag()` Create a new meta tag.

Method Summary
`void` | `doSemanticAction()` Check for a charset directive, and if found, set the charset for the page.
`String` | `getHttpEquiv()`
`String[]` | `getIds()` Return the set of names handled by this tag.
`String` | `getMetaContent()`
`String` | `getMetaTagName()`
`void` | `setHttpEquiv(String httpEquiv)`
`void` | `setMetaTagContents(String metaTagContents)`
`void` | `setMetaTagName(String metaTagName)`

Methods inherited from class org.htmlparser.tags.Tag
`accept, accept, clone, getEnders, getEndTagEnders, getThisScanner, setThisScanner`

Methods inherited from class org.htmlparser.lexer.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributes, getAttributesEx, getEndingLineNumber, getParameter, getParsed, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getText, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributes, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.AbstractNode
`collectInto, elementBegin, elementEnd, getChildren, getEndPosition, getPage, getParent, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHTML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaTag

    public MetaTag()

  Create a new meta tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Overrides:
    `getIds` in class `Tag`
  Returns:
    The names to be matched that create tags of this type.

### getHttpEquiv

    public String getHttpEquiv()

### getMetaContent

    public String getMetaContent()

### getMetaTagName

    public String getMetaTagName()

### setHttpEquiv

    public void setHttpEquiv(String httpEquiv)

### setMetaTagContents

    public void setMetaTagContents(String metaTagContents)

### setMetaTagName

    public void setMetaTagName(String metaTagName)

### doSemanticAction

    public void doSemanticAction()
                          throws ParserException

  Check for a charset directive, and if found, set the charset for the page.

  Specified by:
    `doSemanticAction` in interface `Node`
  Overrides:
    `doSemanticAction` in class `AbstractNode`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.